# $Revision: 1.14 $, $Date: 2004/10/02 20:43:17 $
Summary:	Feature-rich image viewer, written for KDE 3.x
Summary(pl):	Bogata w moliwoci przegldarka plikw graficznych dla KDE 3.x
Name:		showimg
Version:	0.9.3
Release:	1
License:	GPL
Group:		X11/Applications/Graphics
Source0:	http://www.jalix.org/projects/%{name}/download/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	8d9a579f929ea89f0a5ba1ec327acd70
URL:		http://www.jalix.org/projects/showimg/
BuildRequires:	automake
BuildRequires:	digikam-devel
BuildRequires:	fam-devel
BuildRequires:	kdebase-devel >= 3.0
BuildRequires:	libart_lgpl-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_htmldir	/usr/share/doc/kde/HTML

%description
ShowImg is a feature-rich image viewer, written for KDE3.x, which can
display numerous formats, including JPEG, PNG, GIF (animated) and MNG.
It can preview and display images from multiple directories and search
for identical images. ShowImg also features a full-screen mode,
zooming, sorting, drag'n'drop with Konqueror, and support for images
in compressed archives (.zip).

%description -l pl
ShowImg jest bogat w moliwoci przegldark plikw graficznych dla
KDE 3.x ktra potrafi wywietla wiele formatw, w tym JPEG, PNG, GIF
(animowany) i MNG. Posiada moliwo drzewiastego przeszukiwania
katalogw, podgld plikw z wielu katalogw i potrafi wyszukiwa
identyczne obrazki. Ponadto umoliwia prace w trybie penoekranowym,
powikszanie, sortowanie, operacje drag'n'drop i podgld obrazkw w
skompresowanych archiwach.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.sub admin
%configure \
	--enable-digiKam-plugin \
	--with-qt-libraries=%{_libdir} \
	--enable-final \
	--disable-debug
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

install -d $RPM_BUILD_ROOT%{_desktopdir}/kde
mv $RPM_BUILD_ROOT/usr/share/applnk/Graphics/*.desktop $RPM_BUILD_ROOT%{_desktopdir}/kde
echo 'Categories=Qt;KDE;Graphics;Viewer;' >> $RPM_BUILD_ROOT%{_desktopdir}/kde/%{name}.desktop

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/apps/%{name}
%{_datadir}/mimelnk/image/*.desktop
%{_datadir}/apps/konqueror/servicemenus/*.desktop
%{_mandir}/man1/showimg.1*
%{_desktopdir}/kde/*.desktop
%{_iconsdir}/hicolor/*/apps/*.png 

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: showimg.spec,v $
Revision 1.14  2004/10/02 20:43:17  undefine
- update to 0.9.3 by Tomasz Kowalczyk <kowalczt@ee.pw.edu.pl>

Revision 1.13  2004/08/28 11:31:24  kolodko
- vfolders
- rel 3

Revision 1.12  2004/07/20 09:33:27  averne
- rel 2 for rebuild with konqueror-libs instead of libkonq

Revision 1.11  2004/05/17 20:13:02  qboosh
- more specific Group (suggested by Tomasz Kowalczyk)

Revision 1.10  2004/03/29 08:10:34  qboosh
- one more lib64 fix (pass --with-qt-libraries)

Revision 1.9  2004/03/27 23:43:45  qboosh
- fixed Categories, BR: automake

Revision 1.8  2004/03/26 14:06:41  matkor
- Version 0.9.2-1.

Revision 1.7  2004/03/25 14:04:40  ankry
- spaces -> tabs

Revision 1.6  2004/03/25 13:56:39  matkor
- Blind am/config.sub update.

Revision 1.5  2004/03/25 12:11:46  matkor
- Rel. 2. kde_htmldir moved to %install. Categories= >>desktop.

Revision 1.4  2004/03/25 11:19:40  qboosh
- fixed missing dirs, removed redundant /s

Revision 1.3  2004/03/25 11:09:53  matkor
- Version 0.9.1-1. Fixed files. Got rid of iconsdir redefintion and applnkdir use.

Revision 1.2  2003/10/24 15:07:19  qboosh
- this spec was missing on HEAD... fixed

Revision 1.1.2.2  2003/10/21 18:22:49  matkor
- md5.

Revision 1.1.2.1  2003/10/21 18:07:06  matkor
- Version 0.8.0. Release 1. STBR for Ra.
